<?php
/**
 * Copyright © 2013-2017 Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace FiloBlu\Staging\Ui\DataProvider\Product;

use Magento\Framework\Data\Collection;
use Magento\Ui\DataProvider\AddFieldToCollectionInterface;

/**
 * Class AddQuantityFieldToCollection
 */
class Finalprice implements AddFieldToCollectionInterface
{

    /**
     * Store manager
     *
     * @var StoreManagerInterface
     */
    protected $storeManager;

    protected $context;

    /**
     * Construct
     *
     * @param StoreManagerInterface $storeManager
     */
    public function __construct(
        \Magento\Store\Model\StoreManagerInterface $storeManager,
        \Magento\Framework\View\Element\UiComponent\ContextInterface $context
    )
    {
        $this->storeManager = $storeManager;
        $this->context = $context;
    }
    /**
     * {@inheritdoc}
     */
    public function addField(Collection $collection, $field, $alias = null)
    {

        $website_id = 0;
        $date_now = date("Y-m-d");
        $customer_group_id = $this->context->getFilterParam('customer_group_id', -1);
        $store = $this->storeManager->getStore(
            $this->context->getFilterParam('store_id', \Magento\Store\Model\Store::DEFAULT_STORE_ID)
        );
        if ($store)
            $website_id = $store->getWebsiteId();

        if ($website_id > 0 && $customer_group_id > -1)

                $collection->getSelect()->joinLeft(array('promo_prices' => "catalogrule_product_price"),
            'promo_prices.product_id = e.entity_id and rule_date = "'.$date_now.'" and promo_prices.website_id = '.$website_id.' and promo_prices.customer_group_id = '.$customer_group_id.'',"rule_price");

    }


}
